> ## Documentation Index
> Fetch the complete documentation index at: https://developers.fireblocks.com/llms.txt
> Use this file to discover all available pages before exploring further.

<AgentInstructions>

## Submitting Feedback

If you encounter incorrect, outdated, or confusing documentation on this page, submit feedback:

POST https://developers.fireblocks.com/feedback

```json
{
  "path": "/api-reference/exchange-accounts/get-a-specific-exchange-account",
  "feedback": "Description of the issue"
}
```

Only submit feedback when you have something specific and actionable to report.

</AgentInstructions>

# Get a specific exchange account

> Returns an exchange account by ID.
Endpoint Permission: Admin, Non-Signing Admin.



## OpenAPI

````yaml https://docs.fireblocks.com/api/v1/swagger.yaml get /exchange_accounts/{exchangeAccountId}
openapi: 3.0.0
info:
  title: Fireblocks API
  description: >
    Fireblocks provides a suite of applications to manage digital asset
    operations and a complete development platform to build your business on the
    blockchain.


    - Visit our website for more information: [Fireblocks
    Website](https://fireblocks.com)

    - Visit our developer docs: [Fireblocks
    DevPortal](https://developers.fireblocks.com)
  version: 1.6.2
  contact:
    email: developers@fireblocks.com
servers:
  - url: https://api.fireblocks.io/v1
    description: Fireblocks Production Environment Base URL
  - url: https://sandbox-api.fireblocks.io/v1
    description: Fireblocks Sandbox Environment Base URL
security: []
paths:
  /exchange_accounts/{exchangeAccountId}:
    get:
      tags:
        - Exchange accounts
      summary: Get a specific exchange account
      description: |-
        Returns an exchange account by ID.
        Endpoint Permission: Admin, Non-Signing Admin.
      operationId: getExchangeAccount
      parameters:
        - in: path
          name: exchangeAccountId
          required: true
          description: The ID of the exchange account to return
          schema:
            type: string
      responses:
        '200':
          description: An ExchangeAccount object
          headers:
            X-Request-ID:
              $ref: '#/components/headers/X-Request-ID'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ExchangeAccount'
        default:
          $ref: '#/components/responses/Error'
      x-codeSamples:
        - lang: TypeScript
          source: >-
            const response: Promise<FireblocksResponse<ExchangeAccount>> =
            fireblocks.exchangeAccounts.getExchangeAccount(exchangeAccountsApiGetExchangeAccountRequest);
        - lang: Java
          source: >-
            CompletableFuture<ApiResponse<ExchangeAccount>> response =
            fireblocks.exchangeAccounts().getExchangeAccount(exchangeAccountId);
        - lang: Python
          source: >-
            response =
            fireblocks.exchange_accounts.get_exchange_account(exchange_account_id);
components:
  headers:
    X-Request-ID:
      schema:
        type: string
      description: >-
        Unique ID correlated to the API request. Please provide it in any
        support ticket you create or on Github issues related to Fireblocks SDKs
  schemas:
    ExchangeAccount:
      type: object
      properties:
        id:
          type: string
        type:
          $ref: '#/components/schemas/ExchangeType'
        name:
          type: string
          description: Display name of the exchange account
        status:
          type: string
        assets:
          type: array
          items:
            $ref: '#/components/schemas/ExchangeAsset'
        success:
          type: boolean
          description: Did succeed in retrieve balance data
        tradingAccounts:
          type: array
          items:
            $ref: '#/components/schemas/ExchangeTradingAccount'
        isSubaccount:
          description: True if the account is a subaccount in an exchange
          type: boolean
        mainAccountId:
          description: if the account is a sub-account, the ID of the main account
          type: string
    ExchangeType:
      description: Exchange account's type
      type: string
      enum:
        - INDEPENDENT_RESERVE
        - ENCLAVE_MARKETS
        - BIT
        - COINFLEX
        - KUCOIN
        - PXS
        - LIQUID
        - BITHUMB
        - BITFINEX
        - BITSO
        - BITSTAMP
        - KRAKEN
        - KRAKENINTL
        - BINANCE
        - BINANCEUS
        - CRYPTOCOM
        - BYBIT_V2
        - COINBASEPRO
        - COINBASEPRIME
        - COINBASEINTERNATIONAL
        - WHITEBIT
        - COINBASEEXCHANGE
        - KORBIT
        - HITBTC
        - GEMINI
        - CIRCLE
        - BITMEX
        - HUOBI
        - DERIBIT
        - OKCOIN_V5
        - OKEX
        - COINMETRO
        - GATEIO
        - SCRYPT
        - COINHAKO
        - LIGHTBIT
        - BULLISH
        - CANVAS_CONNECT
        - BITGET
        - LUNO
        - BIT_GENERA
        - TRANSFERO
    ExchangeAsset:
      type: object
      properties:
        id:
          type: string
        balance:
          type: string
        lockedAmount:
          type: string
        total:
          type: string
        available:
          type: string
        credit:
          type: string
        assetId:
          type: string
          example: 2306088f-97ed-4293-8d28-8ab627f272d7
          description: The id of the asset
        providerSymbol:
          type: string
          example: BTC
          description: The provider symbol of the asset
        assetSymbol:
          type: string
          example: BTC
          description: The asset symbol of the asset
        assetLegacyId:
          type: string
          example: BTC
          description: The asset legacy id of the asset
    ExchangeTradingAccount:
      type: object
      properties:
        type:
          type: string
        name:
          type: string
        assets:
          type: array
          items:
            $ref: '#/components/schemas/ExchangeAsset'
    ErrorSchema:
      type: object
      properties:
        message:
          type: string
        code:
          type: number
  responses:
    Error:
      description: Error Response
      headers:
        X-Request-ID:
          $ref: '#/components/headers/X-Request-ID'
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorSchema'

````